#ifndef _TEST_APP
#define _TEST_APP

#define USING_OF_ADDON_OFSCRAPER
#define OF_ADDON_USING_OFTHREAD

#include "ofScraperMain.h"

#include <iostream>
#include "ofMain.h"
#include "ofAddons.h"

class testApp : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void keyPressed  (int key);
		void keyReleased (int key);
		
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
		ofScraperWebConnection 			connection;
		ofScraperParser					parser;
		ofScraperXmlNode 				myNode;
		vector<ofScraperXmlNode>     	nodes;
 		
 		ofTrueTypeFont 					verdana;
};

#endif
	
